Hooks:PostHook(WeaponFactoryTweakData, "init", "FreddyModInit", function(self)
    -- local t = os.clock()
    -- log("[Freddy] Loading additions")
	self.parts.wpn_fps_upg_winchester_o_classic.stance_mod.wpn_fps_spec_bessy = { translation = Vector3(0.055 , -44.497	, -2.431  ) }
	self.parts.wpn_fps_upg_o_specter_piggyback.stance_mod.wpn_fps_spec_bessy  = { translation = Vector3(0.037 , -5		, -7.311  ) }
	self.parts.wpn_fps_upg_o_cs_piggyback.stance_mod.wpn_fps_spec_bessy       = { translation = Vector3(0.037 , -5		, -7.411  ) }
	self.parts.wpn_fps_upg_o_mbus_pro.stance_mod.wpn_fps_spec_bessy           = { translation = Vector3(0.037 , -15     , -5.391  ) , rotation = Rotation(-0.000261799, 0, -0) }
	self.parts.wpn_fps_upg_o_atibal.stance_mod.wpn_fps_spec_bessy             = { translation = Vector3(0.037 , -5		, -4.861  ) }
	self.parts.wpn_fps_upg_o_atibal_reddot.stance_mod.wpn_fps_spec_bessy      = { translation = Vector3(-0.063, -5		, -10.261 ) }
	self.parts.wpn_fps_upg_o_schmidt.stance_mod.wpn_fps_spec_bessy            = { translation = Vector3(0.055 , -45		, -4.905  ) }
	self.parts.wpn_fps_upg_o_schmidt_magnified.stance_mod.wpn_fps_spec_bessy  = { translation = Vector3(0.055 , -55		, -4.905  ) }
	self.parts.wpn_fps_upg_o_northtac.stance_mod.wpn_fps_spec_bessy           = { translation = Vector3(0.05  , -45     , -4.12   ) }
	self.parts.wpn_fps_upg_o_northtac_reddot.stance_mod.wpn_fps_spec_bessy    = { translation = Vector3(0.055 , -9      , -9.19   ) }
	self.parts.wpn_fps_upg_o_hamr_reddot.stance_mod.wpn_fps_spec_bessy        = { translation = Vector3(0.05  , -0      , -7.5    ) }
	self.parts.wpn_fps_upg_o_bmg.stance_mod.wpn_fps_spec_bessy                = { translation = Vector3(0.037 , 0		, -4.111  ) }
	self.parts.wpn_fps_upg_o_box.stance_mod.wpn_fps_spec_bessy                = { translation = Vector3(0.055 , -50		, -4.97   ) }
	self.parts.wpn_fps_upg_o_leupold.stance_mod.wpn_fps_spec_bessy            = { translation = Vector3(0.055 , -50		, -4.97   ) }
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_spec_bessy               = { translation = Vector3(0.037 , -10		, -4.111  ) }

	self.wpn_fps_spec_bessy.adds = deep_clone(self.wpn_fps_snp_mosin.adds)
	for l, part in pairs(self.wpn_fps_snp_r700.uses_parts) do
		if self.parts[part].type == "sight" and not string.match(self.parts[part].name_id, "shortdot") then
				-- log("Adding sight: " .. tostring(part))
			table.insert(self.wpn_fps_spec_bessy.uses_parts, part)
		end
		if self.parts[part].type == "gadget" then
				-- log("Adding gadget: " .. tostring(part))
			table.insert(self.wpn_fps_spec_bessy.uses_parts, part)
		end
	end
	local specter_stance = Vector3(0.037, -5, -4.111)
	local specter_clones = {
		"wpn_fps_upg_o_specter",
		"wpn_fps_upg_o_aimpoint",
		"wpn_fps_upg_o_aimpoint_2",
		"wpn_fps_upg_o_docter",
		"wpn_fps_upg_o_eotech",
		"wpn_fps_upg_o_t1micro",
		"wpn_fps_upg_o_cmore",
		"wpn_fps_upg_o_cs",
		"wpn_fps_upg_o_eotech_xps",
		"wpn_fps_upg_o_reflex",
		"wpn_fps_upg_o_rx01",
		"wpn_fps_upg_o_rx30",
		"wpn_fps_upg_o_spot",
		"wpn_fps_upg_o_uh",
		"wpn_fps_upg_o_fc1",
		"wpn_fps_upg_o_tf90",
		"wpn_fps_upg_o_poe",
		"wpn_fps_upg_o_hamr",
		"wpn_fps_upg_o_health"
	}
	for _, o in ipairs(specter_clones) do
		self.parts[o].stance_mod.wpn_fps_spec_bessy = { translation = specter_stance }
	end	
	-- log("[Freddy] Successfully loaded additions. It took " .. (os.clock() - t) .. " seconds.")
end )
